Page MenuHomePhabricator

Add a "members of associated projects" visibility setting to repositories
Closed, WontfixPublic

Description

It would be great if the visibility of a repository could be set to be visible/editable by members of all projects to which the repository is associated. We have the use case that we have multiple repositories which are part of more than one project, so we have to define custom rules for each of them to restrict visibility to all users which are member of at least one project associated with the repository.

Event Timeline

lucaro created this task.Oct 14 2014, 3:11 PM
lucaro raised the priority of this task from to Wishlist.
lucaro updated the task description. (Show Details)
lucaro added projects: Diffusion, Projects.
lucaro added a subscriber: lucaro.
chad renamed this task from add a "members of associated projects" visibility setting to repositories to Add a "members of associated projects" visibility setting to repositories.Jan 5 2015, 6:08 PM
epriestley closed this task as Wontfix.Jun 11 2015, 7:04 PM
epriestley claimed this task.
epriestley added a subscriber: epriestley.

It will be possible to define this rule locally after T5681, but I don't anticipate bringing it upstream.

See also T3820.